
import java.util.*;
/**
 * Verwaltet das Aquarium
 *
 * @author Albert Wiedemann
 * @version 1.0
 */
class Aquarium extends Ereignisbehandlung
{
    /** Zufallsgenerator */
    private Random zufall;
    /** Feld der Fische */
    ArrayList<Fisch> fische;

    /**
     * Legt die Fische an und startet den Taktgenerator
     */
    Aquarium()
    {
        zufall = new Random();
        Rechteck hintergrund = new Rechteck();
        hintergrund.FarbeSetzen("blau");
        hintergrund.PositionSetzen(0, 0);
        hintergrund.GrößeSetzen(800, 510);
        fische = new ArrayList<Fisch>();
        for (int i = 1; i <= 10; i = i + 1)
        {
            int x = 100 + zufall.nextInt(600);
            int höhe = 50 + zufall.nextInt(400);
            fische.add(zufall.nextInt(100) < 50 ? new Clownfisch (x, höhe) : new Piranha (x, höhe));
        }
        TaktdauerSetzen(500);
        Starten();
    }

    /**
     * Bewegt alle Fische
     */
    @Override void TaktImpulsAusführen()
    {
        for (Fisch f: fische)
        {
            f.Schwimmen();
        }
    }
}
