
import java.util.*;
/**
 * Beschreibt einen Piranha
 * 
 * @author: Albert Wiedemann
 * @version: 1.0
 */
class Piranha extends Fisch
{
    
    /**
     * Belegt die Startposition
     * @param xstart Startposition waagrecht
     * @param ausgangshöhe Schwimmhöhe zu Beginn
     */
    Piranha(int xstart, int ausgangshöhe)
    {
        super(xstart, ausgangshöhe);
        FigurLinksBlickendSetzen();
    }

    /**
     * Erzeugt die nach rechts blickende Figur und setzt die Blickrichtung
     */
    @Override void FigurRechtsBlickendSetzen()
    {
        blickrichtung = 'r';
        EigeneFigurLöschen();
        FigurteilFestlegenDreieck(-50,50,-40,0,-20,0,"grau");
        FigurteilFestlegenDreieck(-40,0,-50,-50,-20,0,"grau");
        FigurteilFestlegenDreieck(-40,0,-32,20,-10,30,"grau");
        // Afterflosse
        FigurteilFestlegenDreieck(-32,20,-30,40,-10,30,"schwarz");
        FigurteilFestlegenDreieck(-40,0,-10,30,20,30,"grau");
        FigurteilFestlegenDreieck(-40,0,20,30,40,20,"grau");
        // Bauchflosse
        FigurteilFestlegenDreieck(20,30,40,40,40,20,"schwarz");
        FigurteilFestlegenDreieck(-40,0,40,20,50,0,"grau");
        FigurteilFestlegenDreieck(-40,0,30,0,10,-30,"grau");
        // Rueckenflosse
        FigurteilFestlegenDreieck(-10,-50,30,0,50,-20,"grau");
        FigurteilFestlegenDreieck(40,-10,50,-10,50,-20,"grau");        
        FigurteilFestlegenEllipse(25,-25,10,10,"rot");     
    }

    /**
     * Erzeugt die nach links blickende Figur und setzt die Blickrichtung
     */
    @Override void FigurLinksBlickendSetzen()
    {
        blickrichtung = 'l';
        EigeneFigurLöschen();
        FigurteilFestlegenDreieck(50,50,40,0,20,0,"grau");
        FigurteilFestlegenDreieck(40,0,50,-50,20,0,"grau");
        FigurteilFestlegenDreieck(40,0,32,20,10,30,"grau");
        // Afterflosse
        FigurteilFestlegenDreieck(32,20,30,40,10,30,"schwarz");
        FigurteilFestlegenDreieck(40,0,10,30,-20,30,"grau");
        FigurteilFestlegenDreieck(40,0,-20,30,-40,20,"grau");
        // Bauchflosse
        FigurteilFestlegenDreieck(-20,30,-40,40,-40,20,"schwarz");
        FigurteilFestlegenDreieck(40,0,-40,20,-50,0,"grau");
        FigurteilFestlegenDreieck(40,0,-30,0,-10,-30,"grau");
        // Rueckenflosse
        FigurteilFestlegenDreieck(10,-50,-30,0,-50,-20,"grau");
        FigurteilFestlegenDreieck(-40,-10,-50,-10,-50,-20,"grau");        
        FigurteilFestlegenEllipse(-35,-25,10,10,"rot");     
    }
    
    /**
     * Bewegt den Fisch
     */
    @Override void Schwimmen()
    {
        if (blickrichtung == 'l')
        {
            if (x < 60)
            {
                FigurRechtsBlickendSetzen();
                x = x + 70;
                höhe = höhe - 5;
            }
            else
            {
                x = x - 70;
                höhe = höhe + 5;
            }
        }
        else
        {
            if (x > 730)
            {
                FigurLinksBlickendSetzen();
                x = x - 70;
                höhe = höhe + 5;
            }
            else
            {
                x = x + 70;
                höhe = höhe - 5;
            }
        }
        höhe = höhe < 5 ? 5 : höhe > 485 ? 485 : höhe;
        PositionSetzen(x, höhe);
    }
}