
/**
 * Verwaltet das Spiel.
 * 
 * @author Albert Wiedemann 
 * @version 1.0
 */
class Spiel
{
    /** Zugang zur Anzeige für das Spiel */
    AnzeigeInterface anzeige;
    /** Der zum Spiel gehörende Kontroller */
    KontrollerInterface kontroller;
    /** Der Spieler */
    Spieler spieler;
    /** Das Gewölbe */
    Gewoelbe gewölbe;

    /**
     * Legt die Grunddaten des Spiels an
     * @param kontroller Interface zum Kontroller für das Spiel
     * @param anzeige Interface zur Anzeige für das Spiel
     */
    Spiel (KontrollerInterface kontroller, AnzeigeInterface anzeige)
    {
        this.kontroller = kontroller;
        this.anzeige = anzeige;
        gewölbe = new Gewoelbe(this);
        gewölbe.Generieren();
        spieler = new Spieler(this, gewölbe.StartRaum());
        spieler.StärkeÄndern(0);        /* Anfangsstärke setzen */
        gewölbe.AnzeigeZeichnen(false, spieler.wo);
    }
    
    /**
     * Gibt eine Botschaft an den Benutzer aus.
     * @param botschaft der Botschaftstext
     */
    void BotschaftSenden (String botschaft)
    {
        anzeige.NeueBotschaftEintragen(botschaft);
    }
    
    /**
     * Führt das Spiel aus
     */
    void Spielen ()
    {
        boolean ende;
        ende = false;
        while (!ende)
        {
            ende = spieler.ZimmerEntscheidTreffen();
        }
    }
}
